local mod = ...

mod:registerAssetId("heraldry/CoA4.png", "HERALDRY_D", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_D",
	Description = "VILLAGE_D_DESC",
	Heraldry = "HERALDRY_D",
	VillageName = "House Beauter of Quickshear",
	UnlockCost = {{ Resource = "GRAPES", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		-- bv1_salt
		-- r_feed
		-- r_hay
		{ ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "GRAPES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },		
	},
	SellingResourceList={
		-- bv1_carcass
		-- r_tallow
		{ ResourceMaxAmount = { Resource = "WOOL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
		{ ResourceMaxAmount = { Resource = "MILK", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
		{ ResourceMaxAmount = { Resource = "CHEESE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "BV1_MEAT", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } },		
	},
	Allegiance = "CLERGY"
})